/**
* @file    MAIN.cpp
* @author  Thales Vieira <thalesv@gmail.com>
* @author  Instituto de Matemtica, UFAL
* @version 0.1
* @date    16/03/2010
*
* @brief   Esqueleto de programa usando a GLUT para
* @brief   o curso de Computao Grfica Interativa
*/
//________________________________________________

#include <windows.h>
#include <iostream>
#include <glut.h>

/***
* display():
*   Esta funo  chamada quando a janela precisa ser
*   redesenhada
***/
void display() {
   // Limpa a tela com a cor preta (RGB: preta)
   glClearColor(0.0, 0.0, 0.0, 0.0);
   glClear(GL_COLOR_BUFFER_BIT);

   // Determina a cor de desenho(RGB: branca)
   glColor3f(1.0,1.0,1.0);

   // Ativa o modo de desenho LINES (segmentos de reta)
   //  Desenha os vrtices dos segmentos sequencialmente
   //  usando glVertex3f.
   glBegin(GL_LINES); {
      glVertex3f(0.75,0.25,0.0);
      glVertex3f(0.25,0.75,0.0);
   }
   glEnd();   // Finaliza o modo de desenho
   glutSwapBuffers(); //Atualiza o BUFFER

}

/***
* init():
*   Configura o OpenGL.
*   Configuramos a matriz de 
*   projeo ortogonal ortogonal, neste caso.
***/
void init() {
   glMatrixMode(GL_PROJECTION);
   glLoadIdentity();
   glOrtho(0.0,1.0,0.0,1.0,-1.0,1.0);
}

/***
* main():
*    Esta  a funo que  chamada quando executamos o programa. Vamos inicializar janelas
e configurar o GLUT aqui.
***/
int main(int argc, char** argv) {
   // Inicializa o ambiente do GLUT
   glutInit(&argc, argv);

   // Configuraes de janela e de sistema de cor.
   glutInitDisplayMode (GLUT_DEPTH | GLUT_DOUBLE | GLUT_RGBA);
   glutInitWindowSize(250,250);
   glutInitWindowPosition(100,100);

   // Cria a janela do GLUT com o ttulo "Hello World!"
   glutCreateWindow("Hello World!");

   // Determina qual funo deve ser chamada para desenhar na tela (draw)
   glutDisplayFunc(display);


   // Esta funo inicializa configuraes do OpenGL
   init();

   // Exibe a janela e desenha na tela, usando a funo determinada em glutDisplayFunc
   glutMainLoop();
   return 0;
}